// chapitre 5 recherche remplacement.cpp : définit le point d'entrée pour l'application console.
//

#include "stdafx.h"

#include <iostream>
#include <string>
using namespace std;

int main(int argc, char* argv[])
{
	string s="BEADGCF";
	string::size_type i1=s.find("A");

	cout << "i1=" << i1 << endl;	// affiche 2
	
	string::size_type i2=s.find("Z");
	cout << "i2=" << i2 << endl;	// affiche un nombre très grand
	if(i2==string::npos)
		cout << "recherche de Z non trouvé";

	string ton="la bémol majeur";	                     
	string::size_type p=ton.find("maj");
	ton.replace(p,6,"mineur");
	cout << ton << endl;		// affiche la bémol mineur
	
	ton.erase(ton.find("bémol"),5);
	cout << ton << endl;		// affiche la  mineur
	cout << ton.substr(0,3) << endl; // affiche la
	return 0;
}

